{ configs, pkgs, lib, ... }:

{
  boot.supportedFilesystems = [ "zfs" ];

  services.zfs = {
    trim.enable = true;
    autoSnapshot.enable = true;
    autoScrub = {
      enable = true;
      interval = "monthly";
    };
  };
}
